Bug 880945 - When send SNMP Trap notifications from JON, using incorrect port
When send SNMP Trap notifications from JON, using incorrect port
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts (Show other bugs)
JON 3.1.0
All All
medium Severity low
: ER01
: JON 3.2.0
Assigned To: Heiko W. Rupp
Mike Foley
Depends On: 880960
  Show dependency treegraph
Reported: 2012-11-28 04:01 EST by xiaohui Wu
Modified: 2014-01-02 15:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-02 15:34:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
default snmap trap port (34.96 KB, image/png)
2012-11-28 04:01 EST, xiaohui Wu
no flags Details

  None (edit)
Description xiaohui Wu 2012-11-28 04:01:24 EST
Created attachment 653363 [details]
default snmap trap port

Description of problem:

- A trap notification is created with the default port 
- the trap appears to have been created to use the default port of 162

However, the trap is not sent on port 162, it uses port 161.

If a trap is created to explicitly use port 162, the trap is sent as expected.

Version-Release number of selected component (if applicable):

JON 3.1.0
How reproducible:

Steps to Reproduce:
Actual results:
The snmp trap notification is sent on port 161

Expected results:
I did not set the port, it will use the default port, you can see from the attachement that the default port is set to 162, so the snmp trap notification should be sent on port 162

Additional info:

see the attachement, it is the customer case 00745614 https://c.na7.visual.force.com/apex/Case_View?id=500A000000BerX9&sfdc.override=1
Comment 1 Heiko W. Rupp 2013-08-15 16:28:29 EDT
This was fixed in master c5539a4
on Jan 18th, 2013 in Bug 880960
Comment 2 Sunil Kondkar 2013-12-12 08:25:39 EST
Verified on Version : 3.2.0.GA Build Number : df41432:804f1e9

Created an alert definition using snmp trap notification on default port.
The trap notification is sent on 162 port. Verified with starting snmptrapd listening to 162 port.
When snmptrapd is started listening on 161 port, the snmptrapd o/p does not show the trap notification after firing alert.

Note You need to log in before you can comment on or make changes to this bug.